Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
cURL
curl --request GET \ --url https://my.orq.ai/v2/file-systems/{file_system_key}/files/stat \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://my.orq.ai/v2/file-systems/{file_system_key}/files/stat', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://my.orq.ai/v2/file-systems/{file_system_key}/files/stat" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "path": "<string>", "type": "file", "size_bytes": "<string>", "mode": "<string>", "modified": "<string>" }
{ "message": "<string>", "code": 123, "details": [ "<unknown>" ] }
Retrieves the metadata of one file or folder without transferring its content.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successfully retrieved the file metadata.
file
dir
symlink
other
Permission bits in octal, for example 0644
Was this page helpful?